negexp_generator(3)

NAME
negexp_generator - The class negexp_generator can be used in the STL generate function to easily generate negative exponential distributed floats and doubles.

SYNOPSIS

#include <rnd_generators.h>

  Public Member Functions
negexp_generator (T _mean=1.0, eoRng &_rng=rng)
T operator() (void)

  Private Attributes
T mean
eoRng & negexp

Detailed Description

  template<class T = double> class negexp_generator< T >
The class negexp_generator can be used in the STL generate function to easily generate negative exponential distributed floats and doubles. The user can supply a mean.

Definition at line 156 of file rnd_generators.h.

Author

Generated automatically by Doxygen for EO from the source code.